{% extends 'base.html' %} {% block content %} {% load static %}
<div class="container">
  <h2 class="text-center">
    Ulasan
  </h2>
  {% if user.is_authenticated %}
  <div class="row mt-3">
    {% for ulasan in ulasan_all %}
    <div class="col-sm-12">
      {% load humanize %}
      <div
        class="online-card text-center all-product-card mb-4 d-flex justify-content-between flex-column"
      >
        <div class="d-flex flex-column align-items-start px-4 py-2 mb-2">
          <h2>{{ulasan.nama_pengulas|truncatechars:13}}</h2>
          <h4>{{user.username}}</h4>
          <span class="text-muted"
            >reviewed
            <a href="{% url 'barang:barang-detail' id=ulasan.barang.id %}"
              >{{ulasan.barang.nama}}</a
            ></span
          >
          <span class="text-muted">{{ulasan.tanggal|naturaltime}}</span>
        </div>
        <div
          class="d-flex flex-column justify-content-center align-items-center"
        >
          <p>{{ulasan.pesan}}</p>
          <div
            class="rating-ind"
            data-rateyo-read-only="true"
            data-rateyo-rating="{{ulasan.bintang}}"
          ></div>
        </div>
      </div>
    </div>
    {% endfor %}
  </div>
  {% else %}
  <h3>Anda belum melakukan login.</h3>
  {% endif %}
</div>
{% endblock %} {% block head %}
<title>
  Transaksi |Tk.PePeW Online Shop
</title>
<link
  rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/rateYo/2.3.2/jquery.rateyo.min.css"
/>
<link rel="stylesheet" href="{% static 'barang/styles.css' %}" />
<link rel="stylesheet" href="{% static 'transaksi/styles.css' %}" />

{% endblock %} {% block rightsidecontent %}
<div>{% include 'includes/recommended.html' %}</div>
{% endblock %} {% block js %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/rateYo/2.3.2/jquery.rateyo.min.js"></script>
<script>
  $(function() {
    $(".rating-ind").rateYo({
      starWidth: "18px"
    });
  });
</script>
{% endblock %}
